summaryrefslogtreecommitdiff
path: root/qa/437
diff options
context:
space:
mode:
Diffstat (limited to 'qa/437')
-rwxr-xr-xqa/43742
1 files changed, 42 insertions, 0 deletions
diff --git a/qa/437 b/qa/437
new file mode 100755
index 0000000..e543ef9
--- /dev/null
+++ b/qa/437
@@ -0,0 +1,42 @@
+#!/bin/sh
+# PCP QA Test No. 437
+# Exercise compressed archive files - badness in the uncompression
+#
+# Copyright (c) 2014 Red Hat.
+# Copyright (c) 2010 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+. ./common.compress
+
+status=0 # success is the default!
+$sudo rm -rf $tmp $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp $tmp.*; exit \$status" 0 1 2 3 15
+mkdir $tmp
+export PATH=$tmp:$PATH
+cd $tmp
+touch null.0.bz2 null.index null.meta
+
+# real QA test starts here
+cat <<End-of-File >bzcat
+#!/bin/sh
+exit 1
+End-of-File
+chmod 755 bzcat
+pminfo -Dlog -a null 2>&1 \
+| LC_COLLATE=POSIX sort \
+| _filter_compression
+
+cat <<End-of-File >bzcat
+#!/bin/sh
+kill -KILL \$\$
+End-of-File
+chmod 755 bzcat
+pminfo -Dlog -a null 2>&1 \
+| LC_COLLATE=POSIX sort \
+| _filter_compression
+
+# success, all done
+exit